org.gradle.tooling.model

## Interface ExternalDependency

- All Superinterfaces:
    Dependency
  All Known Subinterfaces:
    IdeaSingleEntryLibraryDependency

      public interface ExternalDependency
      extends Dependency

  Represents an external artifact dependency.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()` Returns the file for this dependency.
    `GradleModuleVersion` | `getGradleModelVersion()` Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
    `File` | `getJavadoc()` Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
    `File` | `getSource()` Returns the source directory or archive for this dependency, or `null` if no source is available.

- - ### Method Detail

    - #### getFile

          File getFile()

      Returns the file for this dependency.
      Returns:
        The file for this dependency.

    - #### getSource

          @Nullable
          File getSource()

      Returns the source directory or archive for this dependency, or `null` if no source is available.
      Returns:
        The source directory or archive for this dependency, or `null` if no source is available.

    - #### getJavadoc

          @Nullable
          File getJavadoc()

      Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
      Returns:
        the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.

    - #### getGradleModelVersion

          @Nullable
          @Experimental
          GradleModuleVersion getGradleModelVersion()

      Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
      Returns:
        The Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
      Since:
        1.1-rc-1